%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}
%define lib_devel %mklibname %{name} -d

Summary:        Lotus Sametime Community Client library
Name:           meanwhile
Version:        1.1.1
Release:        %mkrel 1

License:	LGPL
Group:		System/Libraries
URL:		https://github.com/obriencj/meanwhile

Source: 	https://github.com/obriencj/meanwhile/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:		meanwhile-use-libtommath.patch
Patch1:		meanwhile-fix-warnings.patch
Patch2:		meanwhile-fix-groupchat.patch
Patch3:		meanwhile-fix-filetransfer.patch

BuildRequires:	glib2-devel >= 2.2
BuildRequires:	tommath-devel
BuildRequires:	doxygen

%description
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence, Messaging, Conferencing, and Storage. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as
whiteboard, screen-sharing, and file transfer.

%package -n %{lib_name}
Summary: Library used for Lotus Sametime connectivity
Group: Development/C
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence, Messaging, Conferencing, and Storage. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as
whiteboard, screen-sharing, and file transfer.

%package -n %{lib_devel}
Summary: Header files and libraries for %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}%{name}1-devel

%description -n %{lib_devel}
This package contains the header files and static libraries for %{name}.
If you would like to develop programs using %{name}, you will need to
install %{name}-devel.

%package -n %{name}-doc
Summary: Documentation for the %{name} library
Group: Development/C
Obsoletes: %{_lib}%{name}1-doc
Provides: %{_lib}%{name}1-doc

%description -n %{name}-doc
Documentation for the %{name} library. 

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure --disable-doxygen --disable-mailme --disable-static
%make_build

%install
%make_install sampledir=%{_datadir}/doc/%{name}/samples

chmod a-x %{buildroot}%{_datadir}/doc/%{name}/samples/build

# don't ship .la, .a
rm -f %{buildroot}%{_libdir}/libmeanwhile.{a,la}

%files -n %{lib_name}
%doc ChangeLog COPYING README
%{_libdir}/libmeanwhile.so.%{lib_major}{,.*}

%files -n %{lib_devel}
%{_includedir}/meanwhile/
%{_libdir}/libmeanwhile.so
%{_libdir}/pkgconfig/meanwhile.pc

%files -n %{name}-doc
%{_datadir}/doc/%{name}/


%changelog
* Thu Dec 03 2020 luigiwalser <luigiwalser> 1.1.1-1.mga8
+ Revision: 1652029
- 1.1.1
- update URLs
- add patches from openSUSE
- build with system libtommath

* Thu Feb 13 2020 umeabot <umeabot> 1.0.2-16.mga8
+ Revision: 1515141
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-15.mga7
+ Revision: 1299508
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 1.0.2-14.mga7
+ Revision: 1236107
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.0.2-13.mga6
+ Revision: 944777
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-12.mga5
+ Revision: 747820
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.2-11.mga5
+ Revision: 727227
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-10.mga5
+ Revision: 682329
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-9.mga4
+ Revision: 507874
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-8.mga3
+ Revision: 359885
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 01 2011 mikala <mikala> 1.0.2-7.mga2
+ Revision: 160892
- Add patch2 to fix build with glib 2.31 following suggestion available on http://lists.fedoraproject.org/pipermail/devel/2011-October/158746.html
 aka:  it is no longer possible to include individual headers. If your package runs into this problem, just replace the problematic includes
       with #include <glib.h>

* Thu Jan 20 2011 ahmad <ahmad> 1.0.2-6.mga1
+ Revision: 26464
- drop old/unneeded scriptlets
- don't ship .la, .a
- imported package meanwhile


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-5mdv2011.0
+ Revision: 606635
- rebuild

* Fri Jan 15 2010 Emmanuel Andry <eandry@mandriva.org> 1.0.2-4mdv2010.1
+ Revision: 491835
- apply libraries policy
- add patch to fix presence bug with recent sametime servers

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-3mdv2010.0
+ Revision: 426083
- rebuild

* Fri Apr 10 2009 Funda Wang <fwang@mandriva.org> 1.0.2-2mdv2009.1
+ Revision: 365830
- fix str fmt

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-2mdv2009.0
+ Revision: 223228
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2008.1
+ Revision: 129837
- kill re-definition of %%buildroot on Pixel's request


* Fri Feb 16 2007 Nicholas Brown <nickbrown@mandriva.org> 1.0.2-1mdv2007.0
+ Revision: 121706
- Import meanwhile

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Thu Dec 15 2005 Nick Brown <nickbrown@mandriva.org> 1.0.0-2mdk
- Fix library version number

* Thu Dec 15 2005 Nick Brown <nickbrown@mandriva.org> 1.0.0-1mdk
- 1.0.0

* Tue Nov 22 2005 Nick Brown <nickbrown@mandriva.org> 0.5.0-1mdk
- 0.5.0
- Add doc sub package

* Fri Jun 03 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.2-1mdk
- 0.4.2
- %%mkrel 
- Make Rpmbuildupdate happy

* Wed May 11 2005 Nick Brown <nickbrown@mandriva.org> 0.4.1-1mdk
- 0.4.1

* Tue Mar 22 2005 Nick Brown <nickbrown@mandrake.org> 0.4.0-1mdk
- 0.4.0

* Wed Mar 09 2005 Nick Brown <nickbrown@mandrake.org> 0.4.0-0.cvs20050309.1mdk
- cvs version of 0.4.0
- rpmlint, fix summary

* Thu Nov 11 2004 Nick Brown <nickbrown@mandrake.org> 0.3-2mdk
- Rebuild with re-released 0.3 (bug fixes).

* Sat Aug 07 2004 Nick Brown <nickbrown@mandrake.org> 0.3-1mdk
- First Mandrakelinux release.

